## $Id: export.py 12292 2014-12-22 07:21:46Z henrik $
##
## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Exporters for skeleton documents.
"""
import grok
from waeup.ikoba.documents.export import DocumentExporterBase
from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
from ikobacustom.skeleton.interfaces import MessageFactory as _


class SkeletonDocumentExporter(DocumentExporterBase):
    """Exporter for documents.
    """
    grok.name('skeletondocuments')
    iface = ISkeletonDocument
    class_name = 'SkeletonDocument'
    title = _(u'Skeleton Documents')
